Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #1137

mKv files are ignored when opening a folder with mkv files
November 12, 2021 08:52 - Nil Geisweiller

Status: Closed Start date: November 12, 2021
Priority: Minor Due date:
Assignee: % Done: 100%
Category: plugins/ffaudio Estimated time: 0.00 hour
Target version: 4.2
Affects version: 41
Description
1. Problem

Audacious ignored mkv files when launched with a folder in argument that contains mkv files.
1. How to reproduce

1. Create a folder

2. Place an mkv file in it

3. Run "audacious myfolder

audacious displays the error "No files found".

From the log (obtained with -V) one can see that the file is attempted to be added to the playlist, but seemingly fails

INFO adder.cc:142 [add_file]: Adding file: file://XXX/myfolder/myfile.mkv

History

#1 - November 12, 2021 08:53 - Nil Geisweiller

test

#2 - November 12, 2021 08:59 - Nil Geisweiller

Sorry for the badly formatted report. Here's a better formatted one.
Problem
Audacious ignored mkv files when launched with a folder in argument that contains mkv files.
How to reproduce
1. Create a folder called myfolder
2. Place an mkv file in it
3. Run: audacious myfolder
audacious displays the error "No files found".

From the log (obtained with -V) one can see that the file is attempted to be added to the playlist, but seemingly fails

INFO adder.cc:142 [add_file]: Adding file: file://XXX/myfolder/myfile.mkv
#3 - November 12, 2021 09:05 - Nil Geisweiller

Needless to say that when given the actual mkv file in argument, as opposed to giving the folder containing that mkv file, audacious perfectly opens
and play that file. Indicating that the problem comes from folder opening, not mkv format support.

#4 - November 13, 2021 03:21 - John Lindgren
- % Done changed from 0 to 100
- Status changed from New to Closed

- Category set to plugins/ffaudio

Fixed, thanks for reporting:
https://github.com/audacious-media-player/audacious-plugins/commit/b6598245ed6d5533fd197e64ab41d4c43338686b

#5 - November 13, 2021 21:15 - Nil Geisweiller
Thanks John!!!

#6 - February 05, 2022 22:22 - John Lindgren

- Target version set to 4.2
